Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http.multipart
Class MultipartConfiguration

    java.lang.Object
      org.mule.transport.http.multipart.MultipartConfiguration

    public class MultipartConfiguration

extends Object

Defines configuration object used to control how attachments are processed. This is an adaptation of the javax.servlet.MultipartConfigElement class introduced into the Servlet 3.0 specification. The API has been kept that same but the package and class name has changed not to conflict with the Servlet spec.

Since:
  3.0

Constructor Summary
`MultipartConfiguration(String location)` Constructs an instance with defaults for all but location.
`MultipartConfiguration(String location, long maxFileSize, long maxRequestSize, int fileSizeThreshold)` Constructs an instance with all values specified.

Method Summary
`int` | `getFileSizeThreshold()` Gets the size threshold after which files will be written to disk.
`String` | `getLocation()` Gets the directory location where files will be stored.
`long` | `getMaxFileSize()` Gets the maximum size allowed for uploaded files.
`long` | `getMaxRequestSize()` Gets the maximum size allowed for multipart/form-data requests.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipartConfiguration

    public MultipartConfiguration(String location)

  Constructs an instance with defaults for all but location.

  Parameters:
    `location` - defualts to "" if values is null.

### MultipartConfiguration

    public MultipartConfiguration(String location,
                                  long maxFileSize,
                                  long maxRequestSize,
                                  int fileSizeThreshold)

  Constructs an instance with all values specified.

  Parameters:
    `location` - the directory location where files will be stored
    `maxFileSize` - the maximum size allowed for uploaded files
    `maxRequestSize` - the maximum size allowed for multipart/form-data requests
    `fileSizeThreshold` - the size threshold after which files will be written to disk

Method Detail

### getLocation

    public String getLocation()

  Gets the directory location where files will be stored.

  Returns:
    the directory location where files will be stored

### getMaxFileSize

    public long getMaxFileSize()

  Gets the maximum size allowed for uploaded files.

  Returns:
    the maximum size allowed for uploaded files

### getMaxRequestSize

    public long getMaxRequestSize()

  Gets the maximum size allowed for multipart/form-data requests.

  Returns:
    the maximum size allowed for multipart/form-data requests

### getFileSizeThreshold

    public int getFileSizeThreshold()

  Gets the size threshold after which files will be written to disk.

  Returns:
    the size threshold after which files will be written to disk

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.